Skip to main content
Topic: Trying to upgrade, get unknown flash type (ef 40 14 00) (Read 1796 times) previous topic - next topic

Trying to upgrade, get unknown flash type (ef 40 14 00)

Hi,

    I am trying to upgrade my Open Bench Logic Sniffer v1.04 and get the following:

Quote
Logic Sniffer ROM loader v0.3 (November 9, 2010)
Opening serial port '/dev/ttyACM0' @ 921600 ... OK
Found OLS HW: 1, FW: 3.0, Boot: 2
Error - unknown flash type (ef 40 14 00)
Logic Sniffer ROM loader v0.3 (November 9, 2010)
Opening serial port '/dev/ttyACM0' @ 921600 ... OK
Found OLS HW: 1, FW: 3.0, Boot: 2
Error - unknown flash type (ef 40 14 00)
Press any key to continue...

This is with the 3.08 version from http://gadgetfactory.net/logicsniffer/i ... r.Download

Does anyone know what would need to be fixed to get this to work?

Thanks,
--Carl

 

Re: Trying to upgrade, get unknown flash type (ef 40 14 00)

Reply #1
could you try this tool ?
https://github.com/robots/ols-fwloader
There were some Jedec ids added not long ago.

Re: Trying to upgrade, get unknown flash type (ef 40 14 00)

Reply #2
That is the file for the second operation, the first, under 3.08 is named ols-loader and is what programs the FPGAROM file.  This is the first one that fails with the given messages.

Thanks for the pointer though.

Re: Trying to upgrade, get unknown flash type (ef 40 14 00)

Reply #3
i dont know what first or second operation is. But you should try the ols-fwloader. It is combined loader for FPGA bitstream and for the PIC Firmware. It should be fairly easy to compile on your own.

Re: Trying to upgrade, get unknown flash type (ef 40 14 00)

Reply #4
Robots,

  Thanks, I was trying to use the update stuff from GadgetFactory, the ols-fwloader worked well once I found the instructions (the GadgetFactory script used two programs).

--Carl